﻿@*@{

    Layout = "~/Views/Shared/_LayoutAdminLteWater.cshtml";
    
}*@

    <div class=" col-md-6 offset-md-4">
        @Html.ActionLink(" Download XLSX File", "ExportSpeardSheetPumpSet", "WBS", null, new { @style = "text-transform:capitalize;", @class = "btn btn-success btn-lg  fa fa-file-excel-o large pull-right" })
        <h6 id="ItemName" style="color:Highlight;font-weight:900"><span style="color:Highlight;font-weight:900">ITEM NAME :</span> @ViewBag.PumpingMachineryPumpsetDetails</h6>
    </div>
<div class="container-fluid" style="background-color:lightgrey">
    <table class="table table-bordered table-hover table-responsive table-striped" id="MyDataTablePumpSet" style="width:100%; text-align:center;border:1px solid">
        <thead>
            <tr style="text-align:center">
                <th style="text-align:center">Item Code</th>

                @*<th style="text-align:center">Item Name</th>*@
                <th style="text-align:center">Location</th>
                <th style="text-align:center">Discharge</th>
                <th style="text-align:center">Head</th>
                <th style="text-align:center">Make</th>
                <th style="text-align:center">Quantity</th>
                <th style="text-align:center">Status</th>
                <th style="text-align:center">Description</th>
                <th style="text-align:center">User Name</th>
                <th style="text-align:center">Action</th>
                <th style="text-align:center">Action</th>


            </tr>
        </thead>
        <tbody></tbody>


    </table>
    <div style="text-align:center;display:none" id="loaderDiv">
        <img src="~/Content/images/circle-3.gif" width="70" />
    </div>
</div>

<script>

    $(document).ready(function () {


        $("#loaderDiv").show();
        ShowPumpSetDetails();
          $("#MyDataTablePumpSet").DataTable().clear();
          $("#MyDataTablePumpSet").DataTable().destroy();

    });
  var responseData = '';
    var ShowPumpSetDetails = function () {
       // var Location = window.localStorage.getItem('LocationStorage');
        var Location = "BASAI";
        var Loc = { Location: Location }
        var data = JSON.stringify(Loc);

        $.ajax({

            type: "POST",
            url: "/WBSAdmin/ShowPumpSetDetail",
            contentType: 'application/json; charset=utf-8',
            dataType: "json",
            data: data,
            success: function (response) {
               
                response = JSON.parse(BindDataTablePumpSet(response));


                $("#MyDataTablePumpSet").append(response)


            }
        });
    }

    var BindDataTablePumpSet = function (response) {



        $("#MyDataTablePumpSet").DataTable({


            "aaData": response,
            "aoColumns": [

                { "mData": "ItemCode" },
                //{ "mData": "ItemName" },
                { "mData": "Location" },
                { "mData": "Discharge" },
                { "mData": "Head" },
                { "mData": "Make" },
                { "mData": "Quantity" },
                { "mData": "Status" },
                { "mData": "Description" },
                 { "mData": "username" },
                {
                    "render": function (data, type, full, meta) {
                        return '<a  class="btn btn-block btn-primary" name="btnEdit" id="btnView" ><i class="fa fa-edit "></i></a>';

                    }
                },
                {
                    "render": function (data, type, full, meta) {
                        return '<a class="btn btn-block btn-danger delete" name="btnDelete" id="btnDelete" > <i class="fa fa-trash"></i></a>';

                    }
                }


            ]



        });



        $("#loaderDiv").hide();
    }


</script>
